DESCRIPTION = "Linux driver for Ralink 802.11 a/b/g Wifi USB (from sf.net, modified for mood box without iwconfig)."
SECTION = "base"
PRIORITY = "optional"
MAINTAINER = "Sven-Ola Tuecke <sven-ola@gmx.de>"
LICENSE = "GPL"
RDEPENDS = "kernel (${KERNEL_VERSION}) wireless-tools (>= 27) kernel-module-firmware-class hotplug"
DEPENDS = "virtual/kernel"
SRCNAME = rt73-cvs-2007071503
SRC_URI = "http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz \
           file://cvs-mood-300.patch;patch=1 \
           file://cvs-fixedbssid.patch;patch=1 \
           file://cvs-makedebug.patch;patch=1"

inherit module-base

# Add -DDBG for the debug version

EXTRA_OEMAKE_mtx-1 = "CC='${CC}' \
CFLAGS='-I${STAGING_KERNEL_DIR}/include -D__KERNEL__ -DMODULE -DMODVERSIONS \
-nostdinc -iwithprefix include -finline-limit=100000 -fno-common -fno-pic \
-fno-strict-aliasing -fomit-frame-pointer -G 0 -mabi=32 -march=mips32 -mlong-calls \
-mno-abicalls -O2 -pipe -Wa,-32 -Wa,-march=mips32 -Wa,-mips32 -Wa,--trap \
-include linux/modversions.h -fno-strict-aliasing -fno-common -pipe ${CFLAGS}'"

S = "${WORKDIR}/${SRCNAME}"

do_compile() {
	cd Module;oe_runmake KERNDIR=${KERNEL_SOURCE} PATCHLEVEL=4 MODDIR=/lib/modules/${KERNEL_VERSION}/extra
}

do_install() {
        install -d ${D}/lib/modules/${KERNEL_VERSION}/extra/ \
		   ${D}/etc/modutils/ \
		   ${D}/etc/Wireless/RT73STA/
	install -m 0644 Module/rt73.o ${D}/lib/modules/${KERNEL_VERSION}/extra/
	install -m 0644 Module/rt73.bin ${D}/etc/Wireless/RT73STA/
	install -m 0644 Module/rt73sta.dat ${D}/etc/Wireless/RT73STA/
	echo "alias rausb0 rt73" > ${D}/etc/modutils/rt73.conf
}

FILES_${PN} += "/lib/modules/"
FILES_${PN} += "/lib/firmware/"
